aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRenken <renken@shione.net>2024-05-12 20:44:43 +0200
committerRenken <renken@shione.net>2024-05-12 20:44:43 +0200
commite9c4a7abf6a6fc5c1a1f11ec0c990ba247e7c0f9 (patch)
treeef1b438df3305a0d150e54f1457563334aa2fb19
parentb1b654331c5865fab4d29cc93c3e1b9a5abc3ab0 (diff)
downloadshione-e9c4a7abf6a6fc5c1a1f11ec0c990ba247e7c0f9.tar.gz
shione-e9c4a7abf6a6fc5c1a1f11ec0c990ba247e7c0f9.zip
doc(readme): update machines blog post links
-rw-r--r--README.md8
-rwxr-xr-xsrt-server20
2 files changed, 24 insertions, 4 deletions
diff --git a/README.md b/README.md
index c1b1940..80587f4 100644
--- a/README.md
+++ b/README.md
@@ -8,8 +8,8 @@ configuration that would suit my real world usage.
### Siga
-[Desktop PC](https://shione.net/log/archive/2023/06/1687104871/index.html)
-running GNU/Linux Debian stable.
+[Desktop PC](https://shione.net/2023/06/18/siga-desktop.html) running GNU/Linux
+Debian stable.
### Tabi
@@ -17,8 +17,8 @@ Lenovo Thinkpad x260 laptop running GNU/Linux Debian stable.
### Shione
-NiPoGi CK10 with the Intel Core i7-10810U Mini PC server running GNU/Linux
-Debian stable.
+[NiPoGi CK10](https://shione.net/2023/12/23/self-hosting-shione.html) Mini PC
+server running GNU/Linux Debian stable.
## HOWTO
diff --git a/srt-server b/srt-server
new file mode 100755
index 0000000..99513b9
--- /dev/null
+++ b/srt-server
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eux
+
+# This worked somehow.
+# srt-live-transmit 'srt://:60001?mode=listener&bandwidth=60000&timeout=10000' srt://:60000 -v
+
+# 1mbps, see https://medium.com/@michael_70509/configuring-srt-properly-d89517354d0d
+bandwidth="${SRT_BANDWIDTH:-250000}"
+# 1 second in microseconds, see https://obsproject.com/wiki/Streaming-With-SRT-Or-RIST-Protocols.
+timeout="${SRT_TIMEOUT:-2000000}"
+latency="${SRT_LATENCY:-30}"
+# Extra arguments must start with '&'
+input_extra_args="${SRT_INPUT_EXTRA_ARGS:-}"
+output_passphrase="${SRT_PASSPHRASE:-}"
+
+srt-live-transmit \
+ "srt://:60001?mode=listener&bandwidth=$bandwidth&timeout=$timeout&latency=$latency$input_extra_args" \
+ "srt://:60000$output_passphrase" \
+ -v